import { Plugin, OutputOptions } from 'rollup';
import type { ExcludeFilepathOption } from './types';
import { BundleTransformOptions } from './transform';
interface WebpackStatsOptions extends BundleTransformOptions {
    /**
     * JSON file output fileName
     * default: webpack-stats.json
     */
    fileName?: string;
    /**
     * Exclude matching assets
     */
    excludeAssets?: ExcludeFilepathOption;
    /**
     * Exclude matching modules
     */
    excludeModules?: ExcludeFilepathOption;
}
type WebpackStatsOptionsOrBuilder = WebpackStatsOptions | ((outputOptions: OutputOptions) => WebpackStatsOptions);
export declare const webpackStats: (options?: WebpackStatsOptionsOrBuilder) => Plugin;
export {};
